com.dlsc.flexgantt.swing.action

## Class AbstractFlexGanttAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    AbstractDatelineAction, AbstractEventlineAction, AbstractGanttChartAction, AbstractLayerContainerAction, AbstractTimelineAction, AbstractTreeTableAction

      public abstract class AbstractFlexGanttAction
      extends AbstractAction

  Common superclass of all actions provided by the FlexGantt framework.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractFlexGanttAction(String name)` Constructs a new abstract action.
    `protected` | `AbstractFlexGanttAction(String name, Icon icon)` Constructs a new abstract action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getToolTipText()` Returns the action's tooltip text.
    `void` | `setToolTipText(String text)` Sets the tooltip information displayed by the toolbar or menu item when the mouse cursor floats on top of the button representing the action.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Constructor Detail

    - #### AbstractFlexGanttAction

          protected AbstractFlexGanttAction(String name,
                                            Icon icon)

      Constructs a new abstract action.
      Parameters:
        `name` - the name of the action
        `icon` - an icon representation of the action
      Since:
        1.0

    - #### AbstractFlexGanttAction

          protected AbstractFlexGanttAction(String name)

      Constructs a new abstract action.
      Parameters:
        `name` - the name of the action
      Since:
        1.0

  - ### Method Detail

    - #### setToolTipText

          public void setToolTipText(String text)

      Sets the tooltip information displayed by the toolbar or menu item when the mouse cursor floats on top of the button representing the action.
      Parameters:
        `text` - the tooltip text of the action
      Since:
        1.0
      See Also:
        `getToolTipText()`

    - #### getToolTipText

          public String getToolTipText()

      Returns the action's tooltip text.
      Returns:
        the action's tooltip text
      Since:
        1.0
      See Also:
        `setToolTipText(String)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.